Get a Promotion
Retrieve a promotion by its ID. You can expand the promotion's relations or select the fields that should be returned.
In: header
Path Parameters
The promotion's ID.
Query Parameters
Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.
Response Body
application/json
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X GET "https://{tenant}.api.myxclade.com/admin/promotions/string"{
"promotion": {
"application_method": {
"promotion": {},
"target_rules": [
{
"id": "string",
"description": "string",
"attribute": "customer_group_id",
"operator": "gt",
"values": [
"cusgroup_123"
]
}
],
"buy_rules": [
{
"id": "string",
"description": "string",
"attribute": "customer_group_id",
"operator": "gt",
"values": [
"cusgroup_123"
]
}
],
"id": "string",
"type": "fixed",
"target_type": "items",
"allocation": "each",
"value": 0,
"currency_code": "usd",
"max_quantity": 0,
"buy_rules_min_quantity": 0,
"apply_to_quantity": 0
},
"rules": [
{
"id": "string",
"description": "string",
"attribute": "customer_group_id",
"operator": "gt",
"values": [
"cusgroup_123"
]
}
],
"id": "string",
"code": "OFF50",
"type": "standard",
"is_automatic": true,
"campaign_id": "string",
"campaign": {
"id": "string",
"name": "string",
"description": "string",
"currency": "string",
"campaign_identifier": "string",
"starts_at": "string",
"ends_at": "string",
"budget": {
"id": "string",
"type": "spend",
"currency_code": "string",
"limit": 0,
"used": 0,
"attribute": "string"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z",
"status": "draft",
"is_tax_inclusive": true
}
}{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}List Promotions
Retrieve a list of promotions. The promotions can be filtered by fields such as `id`. The promotions can also be sorted or paginated.
List Rules of a Promotion
Retrieve a list of rules in a promotion. The type of rules retrieved depend on the value of the `rule_type` path parameter: - If `rule_type` is `rules`, the promotion's rules are retrivied. - If `rule_type` is `target-rules`, the target rules of the promotion's application method are retrieved. - If `rule_type` is `buy-rules`, the buy rules of the promotion's application method are retrieved.